@ECHO OFF
TITLE Ancient Mod 1.8 Removal from EAW or CE

IF NOT EXIST IsStock.txt GOTO ERROR1
IF NOT EXIST bindings.ini GOTO ERROR2

ECHO Do you wish to remove this Mod from your computer?
ECHO.
SET vChoice=0
SET /p vChoice=Enter "y" for yes, "n" for no...

IF '%vChoice%'=='y' GOTO Proceed
IF '%vChoice%'=='Y' GOTO Proceed
IF '%vChoice%'=='n' GOTO END
IF '%vChoice%'=='N' GOTO END

:Proceed
ECHO Removing Mod Swapper files...
ECHO.
DEL Mod_Swapper.bat
DEL Setup.bat
DEL IsStock.txt
DEL readme.txt

ECHO Removing modded specs...
ECHO.
DEL Stock Ancient Mod1 Mod2

ECHO Removing modded strings...
ECHO.
CD ..\Strings
DEL Stock Ancient Mod1 Mod2

ECHO Removing Ancient model data...
ECHO.
CD ..\MODELS
DEL Ancient

ECHO Removal complete!
ECHO.
GOTO END

:ERROR1
ECHO Error! User has run "Uninstall.bat" while a mod is active (or user has already uninstalled).
ECHO Select "Stock" specs before uninstalling the Ancient Mod.
ECHO.
GOTO END

:ERROR2
ECHO Error! "Uninstall.bat" is not located in the "..Assets/specs" folder.
ECHO.
GOTO END

:END
ECHO Finished.
PAUSE